import Chip from '@/components/Chip'
import { Tag } from 'types/content/'
import { translateLabel, translateTag } from '@/lib/utils/labelHelper'

type ServiceTagOptions = {
  tag: Tag,
  style: string
}

const formatLabel = (tag: Tag) => {
    return `${translateLabel(tag.name)}: ${translateTag(tag)}`
}

export default ({ tag, style }: ServiceTagOptions) => {
    return (
        <Chip text={formatLabel(tag)} style={`${style} capitalize ${tag.name == 'label' && tag.value == 'external' ? 'hidden' : ''}`} />
    )
}
