/*
 *  All the constants for the it-standards
 *
 *  Author:         Jürgen Voskuhl, itcv GmbH
 *  Last update:    2023-09-25
 *
 * CHANGES
 * =======
 *  Date        | Name      | remarks
 *  ============+==========================================================
 *  yyyy-mm-dd  | Xyz       | bla-bla
 *              |           |
 *              |           |
 *              |           |
 *
*/

module.exports = Object.freeze({
    // All possible life cycles phases
    LYFE_CYCLE_PHASES: [
        'bedarfsmeldung',
        'prüfung',
        'umsetzung',
        'genehmigung_plr',
        'betriebsüberführung',
        'regelbetrieb',
        'dekommissionierungsempfehlung',
        'genehmigung_dekommissionierung',
        'dekommissionierung', 
    ],

    // Information box related constants
    INFO_BOXES: [
        {
            id: 'contact_info',
            title: 'Kontaktinformationen',
            headerBackgroundColor: 0xffe6d5,
        },
        {
            id: 'support',
            title: 'Support',
            headerBackgroundColor: 0xdadada,
        },
        {
            id: 'artefacts',
            title: 'Artefakte',
            headerBackgroundColor: 0xdadada,
        },
        {
            id: 'combined_standards',
            title: 'Verbundene IT-Standards',
            headerBackgroundColor: 0xfff6d5,
        },
        {
            id: 'last_update',
            title: 'Letzte Aktualisierung',
            headerBackgroundColor: 0xdadada,
        },
    ],
    SESSION_COOKIE_NAME: 'myapp.sid',
    SESSION_STORE_DB_PATH: 'mongodb://someip:someport',
    API_GATEWAY_URL: 'http://someurl:someport',
    STATUS: {
       DRAFT: 'DRAFT',
       LIVE: 'LIVE',
       EXPIRED: 'EXPIRED',
    },
})